## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/eventhandlers.h File Reference

General event handler naming, name management, indexing, and instantiation interface. More...

`#include "csutil/strset.h"`

Go to the source code of this file.

## Classes

class | csHashComputer< const csHandlerID >
struct | iEventHandlerRegistry
| This interface represents a general event handler registry/resolver. More...

## Defines

#define | CS_HANDLER_INVALID csInvalidStringID
#define | CS_HANDLERLIST_END csInvalidStringID

## Typedefs

typedef csStringID | csHandlerID

## Detailed Description

General event handler naming, name management, indexing, and instantiation interface.

Definition in file eventhandlers.h.